VERSION 5.00
Begin VB.Form frmRunMenu 
   Caption         =   "Menu Running Example - By: Synthesize"
   ClientHeight    =   1275
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4215
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   1275
   ScaleWidth      =   4215
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdReset 
      Caption         =   "Reset"
      Height          =   285
      Left            =   2700
      TabIndex        =   6
      Top             =   30
      Width           =   615
   End
   Begin VB.Timer tmrCurPos 
      Interval        =   10
      Left            =   0
      Top             =   0
   End
   Begin VB.CommandButton cmdRun 
      Caption         =   "Run Menu"
      Height          =   255
      Left            =   60
      TabIndex        =   4
      Top             =   960
      Width           =   4095
   End
   Begin VB.TextBox txtText 
      Height          =   285
      Left            =   1320
      TabIndex        =   3
      Text            =   "Menu &Item Text"
      Top             =   390
      Width           =   1995
   End
   Begin VB.TextBox txtHandle 
      Height          =   285
      Left            =   1800
      TabIndex        =   1
      Text            =   "0"
      Top             =   30
      Width           =   855
   End
   Begin VB.Label lblDisplay2 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Menu &Item Text"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   195
      Left            =   1500
      TabIndex        =   8
      Top             =   720
      Width           =   1365
   End
   Begin VB.Label lblDisplay 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Menu Item Display:"
      Height          =   195
      Left            =   60
      TabIndex        =   7
      Top             =   720
      Width           =   1380
   End
   Begin VB.Label lblDrag 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Drag Me To a Window"
      Height          =   645
      Left            =   3360
      TabIndex        =   5
      Top             =   30
      Width           =   795
      WordWrap        =   -1  'True
   End
   Begin VB.Label lblText 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Menu Item Text:"
      Height          =   195
      Left            =   60
      TabIndex        =   2
      Top             =   420
      Width           =   1200
   End
   Begin VB.Label lblHandle 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Parent Window Handle:"
      Height          =   195
      Left            =   60
      TabIndex        =   0
      Top             =   60
      Width           =   1695
   End
End
Attribute VB_Name = "frmRunMenu"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdReset_Click()
    ' Re-enable the timer so we can capture the
    ' position of the mouse again.
    tmrCurPos.Enabled = True
End Sub

Private Sub cmdRun_Click()
    ' Run the menu by the handle and the menu
    ' item text. The third argument determines
    ' whether or not to filter out the
    ' ampersands (&) for easier running.
    Call RunMenu(CLng(txtHandle.Text), txtText.Text, True)
End Sub

Private Sub Form_Load()
    ' Enable the timer so we can start capturing
    ' the position of the mouse.
    tmrCurPos.Enabled = True
End Sub

Private Sub lblDrag_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
    ' Declare our variable for the mouse pointer.
    Dim mspPointer As MousePointerConstants
    
    ' Set the mouse pointer to the variable.
    mspPointer = vbUpArrow
    ' Set the MousePointer of the label.
    lblDrag.MousePointer = mspPointer
    
    ' Enable the timer so we can start capturing
    ' the position again.
    tmrCurPos.Enabled = True
End Sub

Private Sub lblDrag_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
    ' Reset the MousePointer of the label.
    lblDrag.MousePointer = vbDefault
    
    ' Disable the timer so that we can show the
    ' handle that the mouse was over when the
    ' user released the mouse button.
    tmrCurPos.Enabled = False
End Sub

Private Sub tmrCurPos_Timer()
    ' Declare our variable for the window handle.
    Dim lngWinHwnd As Long
    
    ' Get the handle of the window that the mouse
    ' is over.
    lngWinHwnd = GetWindowOver()
    
    ' Set the text of the handle textbox to the
    ' handle of the window that is stored in our
    ' variable.
    txtHandle.Text = CStr(lngWinHwnd)
End Sub

Private Sub txtText_Change()
    ' Just a little extra to show how to use
    ' Ampersands (&).
    lblDisplay2.Caption = txtText.Text
End Sub
